<template>
  <div>
    <img v-if="name" :src="getSvgByName(name)" :alt="name" :style="{ width: '50px', height: '50px', fill: 'red' }" />
  </div>
</template>

<script>
import Agriculture from '../../assets/img/categories/normal/agriculture.svg';
import Economy from '../../assets/img/categories/normal/economy.svg';
import Education from '../../assets/img/categories/normal/education.svg';
import Energy from '../../assets/img/categories/normal/energy.svg';
import Environment from '../../assets/img/categories/normal/environment.svg';
import Government from '../../assets/img/categories/normal/government.svg';
import Health from '../../assets/img/categories/normal/health.svg';
import International from '../../assets/img/categories/normal/international.svg';
import Justice from '../../assets/img/categories/normal/justice.svg';
import Population from '../../assets/img/categories/normal/population.svg';
import Provisional from '../../assets/img/categories/normal/provisional.svg';
import Regions from '../../assets/img/categories/normal/regions.svg';
import Science from '../../assets/img/categories/normal/science.svg';
import Transport from '../../assets/img/categories/normal/transport.svg';

export default {
  name: 'Category-image',
  props: {
    name: String,
  },
  data() {
    return {
      images: [
        { name: 'Agriculture, fisheries, forestry and food', svg: Agriculture },
        { name: 'Economy and finance', svg: Economy } ,
        { name: 'Education, culture and sport', svg: Education },
        { name: 'Energy', svg: Energy },
        { name: 'Environment', svg: Environment },
        { name: 'Government and public sector', svg: Government },
        { name: 'Health', svg: Health },
        { name: 'International issues', svg: International },
        { name: 'Justice, legal system and public safety', svg: Justice },
        { name: 'Population and society', svg: Population },
        { name: 'Provisional data', svg: Provisional },
        { name: 'Regions and cities', svg: Regions },
        { name: 'Science and technology', svg: Science },
        { name: 'Transport', svg: Transport }
      ]
    };
  },
  methods: {
    getSvgByName(name) {
      const image = this.images.find((img) => img.name.trim().toLowerCase() === name.trim().toLowerCase());
      return image ? image.svg : null;
    }
  }
};
</script>





